using adas_core.Domain.Models;
using adas_core.Domain.Models.MongoModels;

namespace adas_core.Application.Repositories.Interfaces;

public interface ISectionRepository : IMongoRepository<Section>
{
    Task<List<Section>> FindByLocation(PatientLocation location);
    Task<Section?> FindById(object id);
    Task<Section?> FindById(string id);
    Task<Section?> FindBySection(string section);
    Task<Section?> FindByPointOfCare(string pointOfCare);
    Task<List<Section>> GetAll();

    Task<Section?> UpdateSection(Section section);
    //Task<Section?> UpdateSectionItems(Section section);
    //Task<Section?> UpdateSectionConfig(Section section);
    //Section UpdateSectionItems(string sectionId, string group, string boxName, BoxResponse boxUpdated);

    Task<Section?> InsertOneSection(Section section);
}